Return outgoing links for the given resource
import requests
url = "https://{FUSION_HOST}:8764/api/apollo/links/directed"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}:8764/api/apollo/links/directed")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}:8764/api/apollo/links/directed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}:8764/api/apollo/links/directed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}:8764/api/apollo/links/directed"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8764",
CURLOPT_URL => "https://{FUSION_HOST}:8764/api/apollo/links/directed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION_HOST}:8764/api/apollo/links/directed[
{
"subject": {
"type": "APPKIT_APP",
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"object": {
"type": "APPKIT_APP",
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"linkType": "DependsOn",
"originator": "<string>"
}
]Return outgoing links for the given resource
Exclusive means objects used by the given resource and not used by other resources.
GET
/
links
/
directed
Return outgoing links for the given resource
import requests
url = "https://{FUSION_HOST}:8764/api/apollo/links/directed"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}:8764/api/apollo/links/directed")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION_HOST}:8764/api/apollo/links/directed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION_HOST}:8764/api/apollo/links/directed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION_HOST}:8764/api/apollo/links/directed"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8764",
CURLOPT_URL => "https://{FUSION_HOST}:8764/api/apollo/links/directed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION_HOST}:8764/api/apollo/links/directed[
{
"subject": {
"type": "APPKIT_APP",
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"object": {
"type": "APPKIT_APP",
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"linkType": "DependsOn",
"originator": "<string>"
}
]Query Parameters
Resource to get exclusive links for
Bypass the cache and retrieve directly from storage
Exclude shared group from returned links
Was this page helpful?